curl --request GET \
--url https://test.deribit.com/api/v2/public/get_funding_rate_value \
--header 'Content-Type: application/json' \
--data '
{
"jsonrpc": "2.0",
"id": 7617,
"method": "public/get_funding_rate_value",
"params": {
"instrument_name": "BTC-PERPETUAL",
"start_timestamp": 1569888000000,
"end_timestamp": 1569974400000
}
}
'import requests
url = "https://test.deribit.com/api/v2/public/get_funding_rate_value"
payload = {
"jsonrpc": "2.0",
"id": 7617,
"method": "public/get_funding_rate_value",
"params": {
"instrument_name": "BTC-PERPETUAL",
"start_timestamp": 1569888000000,
"end_timestamp": 1569974400000
}
}
headers = {"Content-Type": "application/json"}
response = requests.get(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'GET',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
jsonrpc: '2.0',
id: 7617,
method: 'public/get_funding_rate_value',
params: {
instrument_name: 'BTC-PERPETUAL',
start_timestamp: 1569888000000,
end_timestamp: 1569974400000
}
})
};
fetch('https://test.deribit.com/api/v2/public/get_funding_rate_value', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"jsonrpc": "2.0",
"id": 7617,
"result": -0.00025056853702101664
}public/get_funding_rate_value
Retrieves the funding rate (interest rate) value for a perpetual instrument over a specified time period. Funding rates are periodic payments exchanged between long and short positions in perpetual contracts.
This method is applicable only for PERPETUAL instruments. The funding rate is typically expressed as a percentage and is used to keep the perpetual contract price aligned with the underlying index price.
Query Parameters
Instrument name Unique instrument identifier
"BTC-PERPETUAL"
The earliest timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
The most recent timestamp to return result from (milliseconds since the UNIX epoch) The timestamp (milliseconds since the Unix epoch)
1536569522277
Was this page helpful?